commit:     ac2afc0709118651239c6f105670320420c7afac
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  7 21:37:36 2017 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Mon Aug  7 21:38:40 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac2afc07

dev-haskell/stack-bin: added binary version of stack, bug #627282

Initial version of ebuild is written by Jeff Parent.

Bug: https://bugs.gentoo.org/627282
Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-haskell/stack-bin/Manifest               |  3 ++
 dev-haskell/stack-bin/metadata.xml           | 15 ++++++++++
 dev-haskell/stack-bin/stack-bin-1.5.1.ebuild | 45 ++++++++++++++++++++++++++++
 3 files changed, 63 insertions(+)

diff --git a/dev-haskell/stack-bin/Manifest b/dev-haskell/stack-bin/Manifest
new file mode 100644
index 00000000000..02aff3fe690
--- /dev/null
+++ b/dev-haskell/stack-bin/Manifest
@@ -0,0 +1,3 @@
+DIST stack-1.5.1-linux-arm.tar.gz 16542317 SHA256 
91a6539494504f670223b8de5af2b87e67267d7c80b4372e6eb3a8577771dbb4 SHA512 
efb3d8eff4b4f8381364ab397298c6879e4ef3f6cdba799306696f961031f31e301b68f140624f0b6e7a0cb5d2bba02eb953203c1b7ab4a6a42d6368c8b39a29
 WHIRLPOOL 
48e7ecd314d672ef4dfcae603081d54b76fec98dac520a4449a6aa549793619cb2626fe68599c46458d078b6bbabf22d043be2de9899a42b564170dcab95af0a
+DIST stack-1.5.1-linux-i386.tar.gz 11546331 SHA256 
2973f7baab2f557c113a92a560ad79b887bd57102e8f4a5caf67551a42ea4250 SHA512 
f8b640d74ab013426a60d3bc6a8a190acad48439e7e80c33517c5904cf818e9d988e7b84dcd0fba15e24013887849c3d56ab7655a4bb549ee292058a00f14e12
 WHIRLPOOL 
c86aa67680005e5949eab71c3402304ed678d32fe40b488de9b64dbb0c0b2fcf58bb704e9e18bc7594b32a4ec2ad94b3b29bd5b1918bac6fef3b097a485413be
+DIST stack-1.5.1-linux-x86_64.tar.gz 11788896 SHA256 
b7df551c2f67464bebc5859fc0ecb2dc59cdbeb525af09e05ea4f2752828e542 SHA512 
837190e769e33d95a7f7d105884b82fb1ace47d84534c017ba44019d8a5335728d13f1e6c5a3591ee542172734ae2ed49d2f9ab3f19b25963a01d001fc24f1b3
 WHIRLPOOL 
a44d9999d4b620bbc6085ee8ad97bf33103136fc18599ac6094758c4ca33d7038304346d390888ac36617265e698e16c1710b9268a39ca264fe5f57c2151e3b8

diff --git a/dev-haskell/stack-bin/metadata.xml 
b/dev-haskell/stack-bin/metadata.xml
new file mode 100644
index 00000000000..d702142876f
--- /dev/null
+++ b/dev-haskell/stack-bin/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Haskell</name>
+       </maintainer>
+       <longdescription>
+               Please see the README.md for usage information, and
+               the wiki on Github for more details.  Also, note that
+               the API for the library is not currently stable, and may
+               change significantly, even between minor releases. It is
+               currently only intended for use by the executable.
+       </longdescription>
+</pkgmetadata>

diff --git a/dev-haskell/stack-bin/stack-bin-1.5.1.ebuild 
b/dev-haskell/stack-bin/stack-bin-1.5.1.ebuild
new file mode 100644
index 00000000000..624ecf2f7aa
--- /dev/null
+++ b/dev-haskell/stack-bin/stack-bin-1.5.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="The Haskell Tool Stack (Binary)"
+HOMEPAGE="https://github.com/commercialhaskell/stack";
+
+uri() {
+       echo 
"https://github.com/commercialhaskell/stack/releases/download/v${PV}/stack-${PV}-linux-$1.tar.gz";
+}
+
+SRC_URI="
+       arm? ( $(uri arm) )
+       x86? ( $(uri i386) )
+       amd64? ( $(uri x86_64) )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~arm"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}
+       sys-libs/zlib
+       dev-libs/gmp:0
+"
+
+S=${WORKDIR}
+
+QA_PREBUILT="/usr/bin/stack-bin"
+QA_PRESTRIPPED="/usr/bin/stack-bin"
+
+src_prepare() {
+       default
+
+       mv stack-${PV}-*/doc doc || die
+       mv stack-${PV}-*/stack stack-bin || die
+}
+
+src_install() {
+       dodoc doc/*
+       dobin stack-bin
+}

Reply via email to